#pragma once
#include "global.h"
class CMoveMap : public CDialog
{
	DECLARE_DYNAMIC(CMoveMap)
	DECLARE_MESSAGE_MAP()
public:
	CMoveMap(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CMoveMap();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CMAPEDITOR_MOVEMAP };
#endif
	int outX = 0;
	int outY = 0;
	bool outLoop = true;
	bool outMoveLoopLayer = false;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
private:
	//控件
	CEdit edit_x;
	CEdit edit_y;
	CButton check_loop;
	CButton check_moveLoopLayer;
public:
	afx_msg void OnBnClickedOk();
};

